Package de.gebit.integrity.eclipse.controls

## Class ProgressBar

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - de.gebit.integrity.eclipse.controls.ProgressBar

- All Implemented Interfaces:
    `org.eclipse.swt.graphics.Drawable`

      public class ProgressBar
      extends org.eclipse.swt.widgets.Composite

  The test progress bar.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProgressBar​(org.eclipse.swt.widgets.Composite aParent, int aStyle)` | Creates a new instance.
    `ProgressBar​(org.eclipse.swt.widgets.Composite aParent, int aStyle, SetList aSetList)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `protected SetListEntryResultStates` | `getResultStateForPosition​(int aPos, int aWidth, int aMax)` | Returns the result state (which controls the color) at a specific pixel position.
    `void` | `setSetList​(SetList aSetList)` |

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### ProgressBar

          public ProgressBar​(org.eclipse.swt.widgets.Composite aParent,
                             int aStyle)

      Creates a new instance.
      Parameters:
        `aParent` - the parent container
        `aStyle` - the style

    - #### ProgressBar

          public ProgressBar​(org.eclipse.swt.widgets.Composite aParent,
                             int aStyle,
                             SetList aSetList)

      Creates a new instance.
      Parameters:
        `aParent` - the parent container
        `aStyle` - the style
        `aSetList` - the set list to use

  - ### Method Detail

    - #### setSetList

          public void setSetList​(SetList aSetList)

    - #### getResultStateForPosition

          protected SetListEntryResultStates getResultStateForPosition​(int aPos,
                                                                       int aWidth,
                                                                       int aMax)

      Returns the result state (which controls the color) at a specific pixel position.
      Parameters:
        `aPos` - the position (must be < aMax)
        `aWidth` - the width in pixels
        `aMax` - the maximum position
      Returns:

    - #### dispose

          public void dispose()

      Overrides:
        `dispose` in class `org.eclipse.swt.widgets.Widget`